Summary:        Perl extension providing access to the GSSAPIv2 library
Name:           perl-GSSAPI
Version:        0.28
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/GSSAPI
Source0:        https://cpan.metacpan.org/authors/id/A/AG/AGROLMS/GSSAPI-%{version}.tar.gz
Patch3000:      GSSAPI-0.28-Fix-a-crash-in-gss_release_oid-when-destructing-out_.patch

BuildRequires:  coreutils findutils gcc krb5-devel make  perl-devel
BuildRequires:  perl-generators perl-interpreter which
BuildRequires:  perl(Config) perl(ExtUtils::MakeMaker) perl(Getopt::Long) perl(strict)


%description
This package provides feature to access to the routines of the GSSAPI library,
as described in rfc2743 and rfc2744 and implemented by the Kerberos-1.2
distribution from MIT.

%prep
%autosetup -n GSSAPI-%{version} -p1
chmod -c a-x examples/*.pl

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}/*

%check

%files
%doc Changes README examples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/GSSAPI*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.28-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 11 2022 Shuo Wang <abushwang@tencent.com> - 0.28-1
- initial build
